Nexus API
Version: 1.0.0
Nexus API
Legacy clients can use Nexus API for all their connectivity needs. If you are a new client refer to our Platform API. Review our Nexus API Guides for more information.
Authentication
- API Key: sessionToken
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
_10curl -i https://int-data.moneydesktop.com/accounts \_10-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \_10-H 'Content-Type: application/vnd.mx.nexus.v1+json' \_10-H 'Accept: application/vnd.mx.nexus.v1+json'
In documentation code examples, replace <API_KEY_VALUE> with the session token.
| Security Scheme Type: | apiKey |
|---|---|
| Header parameter name: | MD-SESSION-TOKEN |